# $Revision: 1.34 $, $Date: 2010/11/16 08:20:14 $
%include	/usr/lib/rpm/macros.php
%define		_class		LiveUser
%define		_status		beta
%define		_pearname	%{_class}
Summary:	%{_pearname} - user authentication and permission management framework
Summary(pl.UTF-8):	%{_pearname} - uwierzytelnianie użytkowników i zarządzanie uprawnieniami
Name:		php-pear-%{_pearname}
Version:	0.16.14
Release:	1
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	ea4e9da897722848091c1414b06423fa
URL:		http://pear.php.net/package/LiveUser/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-Event_Dispatcher
Requires:	php-pear-PEAR-core >= 1:1.3.3
Suggests:	php-hash
Suggests:	php-mcrypt
Suggests:	php-pear-Crypt_RC4
Suggests:	php-pear-DB
Suggests:	php-pear-Log
Suggests:	php-pear-MDB
Suggests:	php-pear-MDB2
Suggests:	php-pear-MDB2_Schema
Suggests:	php-pear-XML_Tree
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Log.php)' 'pear(DB.*)' 'pear(MDB.*)' 'pear(MDB2.*)' 'pear(MDB2/Schema.*)' 'pear(XML/Tree.php)' 'pear(Crypt/RC4.*)'

%description
Perm_LiveUser is a set of classes for dealing with user authentication
and permission management. Basically, there are three main elements
that make up this package:
- The LoginManager,
- The Auth containers,
- The Perm containers.

The LoginManager class takes care of the login process and can be
configured to use a certain permission container and one or more
different auth containers. That means, you can have your users' data
scattered amongst many data containers and have the LoginManager try
each defined container until the user is found. For example, you can
have all website users who can apply for a new account online on the
webserver's local database. Also, you want to enable all your
company's employees to login to the site without the need to create
new accounts for all of them. To achieve that, a second container can
be defined to be used by the LoginManager. You can also define a
permission container of your choice that will manage the rights for
each user. Depending on the container, you can implement any kind of
permission schemes for your application while having one consistent
API. Using different permission and auth containers, it's easily
possible to integrate newly written applications with older ones that
have their own ways of storing permissions and user data. Just make a
new container type and you're ready to go! Currently available are
RDBMS containers using PEAR::DB. More are soon to follow.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Perm_LiveUser to zestaw klas do uwierzytelniania użytkowników i
zarządzania uprawnieniami. Zasadniczo na ten pakiet składają się trzy
główne elementy:
- LoginManager (zarządca logowania),
- kontenery Auth (uwierzytelniania),
- kontenery Perm (uprawnień.

Klasa LoginManager obsługuje proces logowania i może być
skonfigurowana do używania różnych kontenerów uprawnień oraz jednego
lub większej liczby kontenerów uwierzytelniania. Oznacza to, że można
mieć dane użytkowników rozproszone po różnych kontenerach danych, a
LoginManager będzie próbował użyć każdego zdefiniowanego kontenera aż
do znalezienia użytkownika. Na przykład można mieć wszystkich
użytkowników strony WWW, którzy mogą zgłosić się po nowe konto ze
strony do lokalnej bazy danych serwera WWW. Można też chcieć umożliwić
wszystkim pracownikom firmy na logowanie do strony bez potrzeby
tworzenia im nowych kont. Aby to osiągnąć, można zdefiniować drugi
kontener dla LoginManagera. Można także zdefiniować kontener
uprawnień, który będzie zarządzał prawami dla każdego użytkownika.
Zależnie od kontenera można zaimplementować dowolne rodzaje schematów
uprawnień dla aplikacji cały czas mając jedno spójne API. Przy użyciu
różnych kontenerów uprawnień i uwierzytelniania można łatwo
zintegrować nowo pisane aplikacje ze starszymi, które miały własne
sposoby zapisywania uprawnień i danych użytkowników - wystarczy
stworzyć nowy typ kontenera. Aktualnie dostępne są kontenery RDBMS
używające PEAR::DB, wkrótce będzie więcej.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}.php
%{php_pear_dir}/%{_class}

%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-LiveUser.spec,v $
Revision 1.34  2010/11/16 08:20:14  glen
- updated to: 0.16.14

Revision 1.33  2010/08/21 19:08:04  glen
- updated deps with pearize.sh
- release 2

Revision 1.32  2010/08/20 13:00:25  glen
- updated to: 0.16.13

Revision 1.31  2008/01/31 12:16:08  glen
- rel 2

Revision 1.30  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.28  2006/09/02 17:31:42  adamg
- updated to 0.16.12

Revision 1.27  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.26  2006/04/24 09:24:07  adamg
- updated to 0.16.11

Revision 1.25  2006/04/02 11:21:59  glen
- 0.16.10

Revision 1.24  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.23  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.22  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.21  2005/10/05 18:31:31  glen
- rel 2

Revision 1.20  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.19  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.18  2005/09/04 15:07:11  adamg
- updated to 0.16.6

Revision 1.17  2005/08/21 17:40:09  adamg
- updated to 0.16.5

Revision 1.16  2005/04/03 18:33:23  adamg
- updated to 0.15.1

Revision 1.15  2005/03/21 15:20:50  adamg
- updated to 0.15.0

Revision 1.14  2004/12/20 17:27:06  adamg
- updated to 0.14.0
- Admin/ now as a separate class (LiveUser_Admin)

Revision 1.13  2004/12/03 22:22:53  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.12  2004/10/30 06:54:32  adamg
- updated to 0.13.3

Revision 1.11  2004/10/17 11:20:04  adamg
- updated to 0.13.2

Revision 1.10  2004/10/03 08:14:58  adamg
- updated to 0.13.1

Revision 1.9  2004/10/01 19:32:05  adamg
- updated to 0.13.0

Revision 1.8  2004/07/09 20:43:41  ankry
- caps unification

Revision 1.7  2004/07/09 20:12:37  adamg
- updated to 0.12.0

Revision 1.6  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.5  2004/05/01 17:37:37  adamg
- updated to 0.11.1

Revision 1.4  2004/03/12 22:20:02  adamg
- updated to 0.10.0
- simplified %%files
- status changed to beta

Revision 1.3  2003/10/07 20:55:14  adamg
- do not use macros in URL

Revision 1.2  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.1  2003/06/22 17:57:43  adamg
- spelling mistake in spec filename (it is LiveUser not Liveuser)

Revision 1.4  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.3  2003/06/03 20:46:26  adamg
- updated to 0.7

Revision 1.2  2003/05/30 17:38:34  adamg
- fixes (commited to quickly)

Revision 1.1  2003/05/30 17:31:36  adamg
- initial import
